package jp.sourceforge.shovel.form;

import jp.sourceforge.shovel.FormatType;
import jp.sourceforge.shovel.StatisticsType;

public interface IStatisticsForm {
    String getFormat();
    void setFormat(String format);
    FormatType getFormatType();
    void setFormatType(FormatType formatType);
    String getType();
    void setType(String type);
    StatisticsType getStatisticsType();
    void setStatisticsType(StatisticsType statisticsType);
    long getUserId();
    void setUserId(long userId);
    String getForeignKey();
    void setForeignKey(String foreignKey);
    int getCount();
    void setCount(int count);
}
